OpenNMS API 1.2.9

## org.opennms.web.notification
Class NotificationFactoryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.opennms.web.notification.NotificationFactoryException

All Implemented Interfaces:
  java.io.Serializable

public class NotificationFactoryException
extends java.lang.Exception

This exception is used to indicate that the NotificationFactory had a problem

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS
See Also:
  Serialized Form

Field Summary
`private java.lang.Throwable` `rootCause`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`NotificationFactoryException()`
`NotificationFactoryException(java.lang.String message)`
`NotificationFactoryException(java.lang.String message, java.lang.Throwable rootCause)`
`NotificationFactoryException(java.lang.Throwable rootCause)`

Method Summary
`java.lang.Throwable` `getRootCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rootCause

    private java.lang.Throwable rootCause

Constructor Detail

### NotificationFactoryException

    public NotificationFactoryException()

### NotificationFactoryException

    public NotificationFactoryException(java.lang.String message)

### NotificationFactoryException

    public NotificationFactoryException(java.lang.String message,
                                        java.lang.Throwable rootCause)

### NotificationFactoryException

    public NotificationFactoryException(java.lang.Throwable rootCause)

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.